##
##  sablecc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 3.7
%define       V_dist 3.7

#   package information
Name:         sablecc
Summary:      Parser Generator for Java
URL:          http://sablecc.org/
Vendor:       Etienne M. Gagnon
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      Apache
Version:      %{V_opkg}
Release:      20121129

#   list of sources
Source0:      http://download.sourceforge.net/sablecc/sablecc-%{V_dist}.zip

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip
PreReq:       OpenPKG, openpkg >= 20160101, java

%description
    SableCC is a parser generator which generates fully featured
    object-oriented frameworks for Java for building compilers,
    interpreters and other text parsers. In particular, generated
    frameworks include intuitive strictly-typed abstract syntax trees
    and tree walkers. SableCC also keeps a clean separation between
    machine-generated code and user-written code which leads to a
    shorter development cycle.

%track
    prog sablecc = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/sablecc/files/
        regex     = sablecc-(\d+\.\d+|\d+-beta\.\d+)\.zip
    }

%prep
    %setup -q -T -c
    unzip -q -x %{SOURCE0}

%build
    ( echo "#!/bin/sh"
      echo "exec %{l_prefix}/bin/java \\%{l_nil}"
      echo "    -jar %{l_prefix}/libexec/sablecc/sablecc.jar \\%{l_nil}"
      echo "    \${1+\"\$@\"}"
    ) >sablecc

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/sablecc
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        sablecc $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        sablecc-*/lib/sablecc.jar \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/sablecc/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

